Bug 448392 - assertion failure fiddling with @ISA
assertion failure fiddling with @ISA
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
http://rt.perl.org/rt3//Public/Bug/Di...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 09:06 EDT by Herald van der Breggen
Modified: 2008-06-24 22:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-5.10.0-24.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 06:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herald van der Breggen 2008-05-26 09:06:55 EDT
Description of problem:
Errors like 

Assertion ((((_gv)->sv_flags & (0x00004000|0x00008000)) == 0x00008000) &&
(((svtype)((_gv)->sv_flags & 0xff)) == SVt_PVGV || ((svtype)((_gv)->sv_flags &
0xff)) == SVt_PVLV)) failed: file "mg.c", line 1547 at ..

will happen for example when using MasonX::Request::WithApacheSession in
HTML::Mason.

This happens to be fixed recently:

http://public.activestate.com/cgi-bin/perlbrowse/p/33898


Version-Release number of selected component (if applicable):


Steps to Reproduce:
See http://rt.perl.org/rt3//Public/Bug/Display.html?id=54566

I would love to to see the fix in fedora distribution as well!

Thanks
Comment 1 Marcela Mašláňová 2008-05-26 10:52:29 EDT
Thank you for your report. It's fixed in rawhide and it will be in another perl
update for F-9.
Comment 2 Fedora Update System 2008-06-12 07:35:51 EDT
perl-5.10.0-26.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-06-24 22:54:01 EDT
perl-5.10.0-26.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.